searchNodes=[{"ref":"Telnet.html","title":"Telnet","type":"module","doc":"Documentation for Telnet."},{"ref":"Telnet.GMCP.html","title":"Telnet.GMCP","type":"module","doc":"Parse GMCP messages"},{"ref":"Telnet.GMCP.html#parse/1","title":"Telnet.GMCP.parse/1","type":"function","doc":"Parse GMCP messages"},{"ref":"Telnet.GMCP.html#strip/1","title":"Telnet.GMCP.strip/1","type":"function","doc":"Strip the final IAC SE"},{"ref":"Telnet.MSSP.html","title":"Telnet.MSSP","type":"module","doc":"Parse MSSP data Telnet option or plaintext"},{"ref":"Telnet.MSSP.html#find_mssp_text/2","title":"Telnet.MSSP.find_mssp_text/2","type":"function","doc":""},{"ref":"Telnet.MSSP.html#mssp/3","title":"Telnet.MSSP.mssp/3","type":"function","doc":""},{"ref":"Telnet.MSSP.html#parse/1","title":"Telnet.MSSP.parse/1","type":"function","doc":"Parse MSSP subnegotiation options"},{"ref":"Telnet.MSSP.html#parse_mssp_text_line/1","title":"Telnet.MSSP.parse_mssp_text_line/1","type":"function","doc":""},{"ref":"Telnet.MSSP.html#parse_text/1","title":"Telnet.MSSP.parse_text/1","type":"function","doc":"Parse text as a response to mssp-request Should include MSSP-REPLY-START and end with MSSP-REPLY-END"},{"ref":"Telnet.NewEnviron.html","title":"Telnet.NewEnviron","type":"module","doc":"Parse NEW-ENVIRON requests and responses"},{"ref":"Telnet.NewEnviron.html#encode/2","title":"Telnet.NewEnviron.encode/2","type":"function","doc":"Encode a list of variables to request from the server iex&gt; NewEnviron.encode(:send, [&quot;IPADDRESS&quot;]) &lt;&lt;255, 250, 39, 1, 0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;255, 240&gt;&gt; iex&gt; NewEnviron.encode(:is, [{&quot;IPADDRESS&quot;, &quot;localhost&quot;}]) &lt;&lt;255, 250, 39, 0, 0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;1&gt;&gt; &lt;&gt; &quot;localhost&quot; &lt;&gt; &lt;&lt;255, 240&gt;&gt; iex&gt; NewEnviron.encode(:is, []) &lt;&lt;255, 250, 39, 0, 255, 240&gt;&gt;"},{"ref":"Telnet.NewEnviron.html#parse/1","title":"Telnet.NewEnviron.parse/1","type":"function","doc":"Parse the binary data into Elixir terms iex&gt; NewEnviron.parse(&lt;&lt;255, 250, 39, 1, 0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;3&gt;&gt; &lt;&gt; &quot;OTHER&quot; &lt;&gt; &lt;&lt;255, 240&gt;&gt;) {:send, [&quot;IPADDRESS&quot;, &quot;OTHER&quot;]} iex&gt; NewEnviron.parse(&lt;&lt;255, 250, 39, 0, 0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;1&gt;&gt; &lt;&gt; &quot;localhost&quot; &lt;&gt; &lt;&lt;255, 240&gt;&gt;) {:is, [{&quot;IPADDRESS&quot;, &quot;localhost&quot;}]}"},{"ref":"Telnet.NewEnviron.html#parse_is/5","title":"Telnet.NewEnviron.parse_is/5","type":"function","doc":"Parse a IS packet iex&gt; NewEnviron.parse_is(&lt;&lt;0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;1&gt;&gt; &lt;&gt; &quot;localhost&quot;) [{&quot;IPADDRESS&quot;, &quot;localhost&quot;}] iex&gt; NewEnviron.parse_is(&lt;&lt;0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;3&gt;&gt; &lt;&gt; &quot;OTHER&quot;) [{&quot;IPADDRESS&quot;, &quot;&quot;}, {&quot;OTHER&quot;, &quot;&quot;}]"},{"ref":"Telnet.NewEnviron.html#parse_send/1","title":"Telnet.NewEnviron.parse_send/1","type":"function","doc":"Parse a SEND packet iex&gt; NewEnviron.parse_send(&lt;&lt;0&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;3&gt;&gt; &lt;&gt; &quot;OTHER&quot;) [&quot;IPADDRESS&quot;, &quot;OTHER&quot;] iex&gt; NewEnviron.parse_send(&lt;&lt;3&gt;&gt; &lt;&gt; &quot;IPADDRESS&quot; &lt;&gt; &lt;&lt;0&gt;&gt; &lt;&gt; &quot;OTHER&quot;) [&quot;IPADDRESS&quot;, &quot;OTHER&quot;] iex&gt; NewEnviron.parse_send(&lt;&lt;0&gt;&gt;) [] iex&gt; NewEnviron.parse_send(&lt;&lt;1&gt;&gt;) [] iex&gt; NewEnviron.parse_send(&lt;&lt;0, 1&gt;&gt;) []"},{"ref":"Telnet.NewEnviron.html#strip/1","title":"Telnet.NewEnviron.strip/1","type":"function","doc":"Strip the final IAC SE"},{"ref":"Telnet.OAuth.html","title":"Telnet.OAuth","type":"module","doc":"Parse OAuth messages"},{"ref":"Telnet.OAuth.html#parse/1","title":"Telnet.OAuth.parse/1","type":"function","doc":"Parse OAuth messages"},{"ref":"Telnet.OAuth.html#strip/1","title":"Telnet.OAuth.strip/1","type":"function","doc":"Strip the final IAC SE"},{"ref":"Telnet.Options.html","title":"Telnet.Options","type":"module","doc":"Parse telnet IAC options coming from the game"},{"ref":"Telnet.Options.html#byte_to_option/1","title":"Telnet.Options.byte_to_option/1","type":"function","doc":"Convert a byte to a known option, or leave as as the byte iex&gt; Options.byte_to_option(1) :echo iex&gt; Options.byte_to_option(24) :term_type iex&gt; Options.byte_to_option(34) :line_mode iex&gt; Options.byte_to_option(39) :new_environ iex&gt; Options.byte_to_option(42) :charset iex&gt; Options.byte_to_option(70) :mssp iex&gt; Options.byte_to_option(165) :oauth iex&gt; Options.byte_to_option(201) :gmcp"},{"ref":"Telnet.Options.html#option_to_byte/1","title":"Telnet.Options.option_to_byte/1","type":"function","doc":"Convert a known option back to a byte or pass through the byte iex&gt; Options.option_to_byte(:echo) 1 iex&gt; Options.option_to_byte(:term_type) 24 iex&gt; Options.option_to_byte(:line_mode) 34 iex&gt; Options.option_to_byte(:new_environ) 39 iex&gt; Options.option_to_byte(:charset) 42 iex&gt; Options.option_to_byte(:mssp) 70 iex&gt; Options.option_to_byte(:oauth) 165 iex&gt; Options.option_to_byte(:gmcp) 201"},{"ref":"Telnet.Options.html#options/4","title":"Telnet.Options.options/4","type":"function","doc":"Parse options out of a binary stream"},{"ref":"Telnet.Options.html#parse/1","title":"Telnet.Options.parse/1","type":"function","doc":"Parse binary data from a MUD into any telnet options found and known"},{"ref":"Telnet.Options.html#parse_charset/1","title":"Telnet.Options.parse_charset/1","type":"function","doc":"Strip the final IAC SE from the charset"},{"ref":"Telnet.Options.html#parse_sub_negotiation/2","title":"Telnet.Options.parse_sub_negotiation/2","type":"function","doc":"Parse sub negotiation options out of a stream"},{"ref":"Telnet.Options.html#transform/1","title":"Telnet.Options.transform/1","type":"function","doc":"Transform IAC binary data to actionable terms iex&gt; Options.transform(&lt;&lt;255, 251, 1&gt;&gt;) {:will, :echo} iex&gt; Options.transform(&lt;&lt;255, 252, 1&gt;&gt;) {:wont, :echo} iex&gt; Options.transform(&lt;&lt;255, 253, 1&gt;&gt;) {:do, :echo} iex&gt; Options.transform(&lt;&lt;255, 254, 1&gt;&gt;) {:dont, :echo} Returns a generic DO/WILL if the specific term is not known. For responding with the opposite command to reject. iex&gt; Options.transform(&lt;&lt;255, 251, 2&gt;&gt;) {:will, 2} iex&gt; Options.transform(&lt;&lt;255, 252, 2&gt;&gt;) {:wont, 2} iex&gt; Options.transform(&lt;&lt;255, 253, 2&gt;&gt;) {:do, 2} iex&gt; Options.transform(&lt;&lt;255, 254, 2&gt;&gt;) {:dont, 2} Everything else is parsed as :unknown iex&gt; Options.transform(&lt;&lt;255&gt;&gt;) :unknown"},{"ref":"readme.html","title":"Telnet","type":"extras","doc":"Telnet Telnet parsing library. You probably don&#39;t need this. Used in Spigot and Grapevine."}]